import {Card, CardActions, CardContent, CardHeader, Grid, IconButton, CardMedia} from "@mui/material";
import {Link} from "react-router-dom";
import {PRODUCT_VIEW} from "../../../constants/routes";
import ArrowForwardIosIcon from '@mui/icons-material/ArrowForwardIos';
import imageNotAvailable from '../../../assets/images/image_not_available.png';
import {uploadUrl} from "../../../constants/config";

const ProductItem = ({product}) => {
    const imagePath = product.image
        ? uploadUrl + '/' + product.image
        : imageNotAvailable;

    return (
        <Grid item xs={12} sm={12} md={6} lg={4}>
            <Card>
                <CardHeader title={product.title}/>
                <CardContent>
                    <CardMedia
                        image={imagePath}
                        title={product.title}
                        sx={{maxWidth:200, height: 200}}
                    />
                    <strong style={{marginLeft: '10px'}}>
                        Price: {product.price} KZT
                    </strong>
                </CardContent>
                <CardActions>
                    <IconButton component={Link} to={PRODUCT_VIEW.replace(':id', product._id)}>
                        <ArrowForwardIosIcon/>
                    </IconButton>
                </CardActions>
            </Card>
        </Grid>
    );
};

export default ProductItem;
